Loading...
Searching...
No Matches
BALL::TRRFile::TRRHeader Class Reference

`#include <BALL/FORMAT/TRRFile.h>`

## Public Member Functions

| TRRHeader ()

## Public Attributes

Size | MAGIC
| Magic number for the TRR format. This must be equal to 1993.
Size | VERSION
| The version number of the TRR format.
Size | title_string_length
| The length of the title string.
String | title_string
| The title string.
Size | ir_size
Size | e_size
Size | bounding_box_data_size
Size | vir_size
Size | pres_size
Size | top_size
Size | sym_size
Size | position_data_size
Size | velocity_data_size
Size | force_data_size
Size | number_of_atoms
Size | timestep_index
Size | nre
float | timestep_time
float | lambda

## Detailed Description

The header for each coordinate set stored in the TRR file. The format can be found at

  http://www.ks.uiuc.edu/~danorris/projects/formats/trr.shtml

  The header consists of several records that are stored sequentially.

Definition at line 46 of file TRRFile.h.

## Constructor & Destructor Documentation

## TRRHeader()

BALL::TRRFile::TRRHeader::TRRHeader | ( |  | ) |

inline

Definition at line 136 of file TRRFile.h.

## Member Data Documentation

## bounding_box_data_size

Size BALL::TRRFile::TRRHeader::bounding_box_data_size

The size of the bounding box data: 9 means that we have an arbitrary box, i.e. the base vectors may have arbitray length and relative angles. The size is then stored as x1 y1 z1 x2 y2 z2 x3 y3 z3

  3 means a shortened notation for rectangular boxes. The size is then stored as x1 y2 z3. All other components are assumed to be zero.

Definition at line 73 of file TRRFile.h.

## e_size

Size BALL::TRRFile::TRRHeader::e_size

This record is called e_size. I don't know what this is used for. We don't need it.

Definition at line 65 of file TRRFile.h.

## force_data_size

Size BALL::TRRFile::TRRHeader::force_data_size

The size of the force data. 0 means that forces are not stored in the file, 4 means that each force vector is stored using 4 bytes for each component, 8 means 8 bytes.

Definition at line 112 of file TRRFile.h.

## ir_size

Size BALL::TRRFile::TRRHeader::ir_size

This record is called ir_size. I don't know what this is used for. We don't need it.

Definition at line 61 of file TRRFile.h.

## lambda

float BALL::TRRFile::TRRHeader::lambda

This record is called lambda. I don't know what it is used for. We don't need it.

Definition at line 134 of file TRRFile.h.

## MAGIC

Size BALL::TRRFile::TRRHeader::MAGIC

Magic number for the TRR format. This must be equal to 1993.

Definition at line 51 of file TRRFile.h.

## nre

Size BALL::TRRFile::TRRHeader::nre

This record is called nre. I don't know what this is used for. We don't need it.

Definition at line 125 of file TRRFile.h.

## number_of_atoms

Size BALL::TRRFile::TRRHeader::number_of_atoms

Number of atoms in the system.

Definition at line 116 of file TRRFile.h.

## position_data_size

Size BALL::TRRFile::TRRHeader::position_data_size

The size of the position data: 4 means that each position vector is stored using 4 bytes for each component, 8 means 8 bytes.

Definition at line 100 of file TRRFile.h.

## pres_size

Size BALL::TRRFile::TRRHeader::pres_size

This record is called pres_size. It denotes the size of the pres_size block that is stored after the vir_size data (if present). I don't know what kind of data is stored in this block. We don't need it.

Definition at line 85 of file TRRFile.h.

## sym_size

Size BALL::TRRFile::TRRHeader::sym_size

This record is called sym_size. I don't know what this is used for. We don't need it.

Definition at line 95 of file TRRFile.h.

## timestep_index

Size BALL::TRRFile::TRRHeader::timestep_index

Timestep index.

Definition at line 120 of file TRRFile.h.

## timestep_time

float BALL::TRRFile::TRRHeader::timestep_time

The time corresponding to the timestep in picoseconds

Definition at line 129 of file TRRFile.h.

## title_string

String BALL::TRRFile::TRRHeader::title_string

The title string.

Definition at line 57 of file TRRFile.h.

## title_string_length

Size BALL::TRRFile::TRRHeader::title_string_length

The length of the title string.

Definition at line 55 of file TRRFile.h.

## top_size

Size BALL::TRRFile::TRRHeader::top_size

This record is called top_size. I don't know what this is used for. We don't need it.

Definition at line 90 of file TRRFile.h.

## velocity_data_size

Size BALL::TRRFile::TRRHeader::velocity_data_size

The size of the velocity data. 0 means that velocities are not stored in the file, 4 means that each velocity vector is stored using 4 bytes for each component, 8 means 8 bytes.

Definition at line 106 of file TRRFile.h.

## VERSION

Size BALL::TRRFile::TRRHeader::VERSION

The version number of the TRR format.

Definition at line 53 of file TRRFile.h.

## vir_size

Size BALL::TRRFile::TRRHeader::vir_size

This record is called vir_size. It denotes the size of the vir_size block that is stored after the bounding box data. I don't know what kind of data is stored in this block. We don't need it.

Definition at line 79 of file TRRFile.h.